slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDMonitorAllDrawLG

Plots the error estimate of all unconverged approximations at each iteration of the singular value solver.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDMonitorAllDrawLG(SVD svd,PetscInt its,PetscInt nconv,PetscReal *sigma,PetscReal *errest,PetscInt nest,PetscViewerAndFormat *vf)

Collective

### Input Parameters

| svd | - singular value solver context
| its | - iteration number
| nconv | - number of converged singular triplets so far
| sigma | - singular values
| errest | - error estimates
| nest | - number of error estimates to display
| vf | - viewer and format for monitoring

### Options Database Key

| -svd_monitor_all draw::draw_lg | - activates SVDMonitorAllDrawLG()

### See Also

SVDMonitorSet()

### Level

intermediate

### Location

src/svd/interface/svdmon.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages